<?php
// $Id: hooks.php,v 1.1 2009/08/01 21:17:20 zserno Exp $

/**
  * @file
  * Hooks defined by simple_cck.
  * Tipically called by simple_cck.module using module_invoke_all().
  */

/**
  * @addtogroup hooks
  * @{
  */

/**
  * Called when a content type is created.
  *
  * @param $form_values
  *   The fully populated form array from the content type creation form.
  *   Currently it looks like this:
  *
  *   Array
  *   (
  *        [name] => foo type
  *        [type] => foo_type
  *        [title_label] => Title
  *        [body_label] =>
  *        [comment] => 0
  *        [node_options] => Array
  *            (
  *                [status] => status
  *                [promote] => 0
  *                [sticky] => 0
  *                [revision] => 0
  *            )
  *
  *   )
  */
function hook_simple_cck_insert(&$form_values) {

}

/**
  * Called when a content type is updated.
  *
  * @param $form_values
  *   The fully populated form array from the content type' edit form.
  */
function hook_simple_cck_update(&$form_values) {

}


/**
  * Add extra actions to the form. E.g. voting options.
  */
function hook_simple_cck_form_actions() {

}

/**
  * Add extra general settings to form. E.g. icons & Views.
  */
function hook_simple_cck_settings(&$form) {
  $form['app_settings']['display_options'] = array(
    '#type' => 'fieldset',
    '#title' => t('Display options -- Test implementation of hook_simple_cck_settings'),
    '#weight' => 1,
    '#description' => t('How the apps appear to members of the space'),
    '#collapsible' => FALSE,
  );

  $form['app_settings']['display_options']['part_of_chain'] = array(
    '#type' => 'textfield',
    '#title' => t('Part of chain'),
  );
}

/**
  * @} End of "addtogroup hooks".
  */
